Shipping Status UpdateAsk AIpatch https://api.zenki.fi/v1/pay/orders/{zenkiOrderId}/tracking/{zenkiTrackId}Based on the order id and the tracking id the delivery status is updated.Path ParamszenkiOrderIdstringrequiredUnique order identifier generated by Zenkipay.zenkiTrackIdstringrequiredUnique tracking identifier generated by Zenkipay.Body ParamsA JSON structure will be sent that will have the required information to update the shipping status.statusstringenumrequiredDelivery process states. Possible values: TRANSIT - In delivery process. DELIVERY - The product or service has been delivered. AVAILABLE_FOR_PICKUP - The product or service is ready for the buyer to pick it up at the store. CANCELED - The shipment has been cancelled. FAILED - There was a problem trying to deliver the product or service. TRANSITDELIVERYAVAILABLE_FOR_PICKUPCANCELEDFAILEDAllowed:TRANSITDELIVERYAVAILABLE_FOR_PICKUPCANCELEDFAILEDlocationstringrequiredlength ≤ 255Place where the event is triggered and the packet is located.descriptionstringrequiredlength ≤ 255Detail of the error for which the shipment could not be completed or if the product or service was delivered correctly, indicate who received it.HeadersX-ZENKI-PLUGIN-IDstringUnique customer identifier used to establish connection with Zenkipay services.Accept-LanguagestringIndicates the language type code for which the content of the services response is returned according to the language reported. The definition of the ISO_639 standard is used. See: https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes or https://www.iso.org/iso-639-language-codes.htmlContent-TypestringrequiredContent type accepted.AcceptstringrequiredAccepted formats.Responses 201Successful shipping status update. 400Expected trace parameter. 403Access denied. 404Resource not found. 406Headers not accepted. 428Parameter name cannot be found. 500Internal Server Error.Updated over 2 years ago